Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2MouseJoint Class Reference

`#include <b2MouseJoint.h>`

Inheritance diagram for b2MouseJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const
| Implements b2Joint. More...
b2Vec2 | GetAnchorB () const
| Implements b2Joint. More...
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Implements b2Joint. More...
float32 | GetReactionTorque (float32 inv_dt) const
| Implements b2Joint. More...
void | SetTarget (const b2Vec2 &target)
| Use this to update the target point. More...
const b2Vec2 & | GetTarget () const
void | SetMaxForce (float32 force)
| Set/get the maximum force in Newtons. More...
float32 | GetMaxForce () const
void | SetFrequency (float32 hz)
| Set/get the frequency in Hertz. More...
float32 | GetFrequency () const
void | SetDampingRatio (float32 ratio)
| Set/get the damping ratio (dimensionless). More...
float32 | GetDampingRatio () const
void | Dump ()
| The mouse joint does not support dumping. More...
void | ShiftOrigin (const b2Vec2 &newOrigin)
| Implement b2Joint::ShiftOrigin. More...
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint. More...
b2Body * | GetBodyA ()
| Get the first body attached to this joint. More...
b2Body * | GetBodyB ()
| Get the second body attached to this joint. More...
b2Joint * | GetNext ()
| Get the next joint the world joint list. More...
const b2Joint * | GetNext () const
void * | GetUserData () const
| Get the user data pointer. More...
void | SetUserData (void *data)
| Set the user data pointer. More...
bool | IsActive () const
| Short-cut function to determine if either body is inactive. More...
bool | GetCollideConnected () const

## Protected Member Functions
| b2MouseJoint (const b2MouseJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data)
void | SolveVelocityConstraints (const b2SolverData &data)
bool | SolvePositionConstraints (const b2SolverData &data)
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)
virtual | ~b2Joint ()

## Protected Attributes
b2Vec2 | m_localAnchorB
b2Vec2 | m_targetA
float32 | m_frequencyHz
float32 | m_dampingRatio
float32 | m_beta
b2Vec2 | m_impulse
float32 | m_maxForce
float32 | m_gamma
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rB
b2Vec2 | m_localCenterB
float32 | m_invMassB
float32 | m_invIB
b2Mat22 | m_mass
b2Vec2 | m_C
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
void * | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A mouse joint is used to make a point on a body track a specified world point. This a soft constraint with a maximum force. This allows the constraint to stretch and without applying huge forces. NOTE: this joint is not documented in the manual because it was developed to be used in the testbed. If you want to learn how to use the mouse joint, look at the testbed.

## Constructor & Destructor Documentation

b2MouseJoint | ( | const b2MouseJointDef * | def | ) |
| protected

## Member Function Documentation

void Dump | ( |  | ) |
| inline virtual

The mouse joint does not support dumping.

Reimplemented from b2Joint.

b2Vec2 GetAnchorA | ( |  | ) | const
| virtual

Implements b2Joint.

Implements b2Joint.

b2Vec2 GetAnchorB | ( |  | ) | const
| virtual

Implements b2Joint.

Implements b2Joint.

float32 GetDampingRatio | ( |  | ) | const

float32 GetFrequency | ( |  | ) | const

float32 GetMaxForce | ( |  | ) | const

b2Vec2 GetReactionForce | ( | float32 | inv_dt | ) | const
| virtual

Implements b2Joint.

Implements b2Joint.

float32 GetReactionTorque | ( | float32 | inv_dt | ) | const
| virtual

Implements b2Joint.

Implements b2Joint.

const b2Vec2 & GetTarget | ( |  | ) | const

void InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

void SetDampingRatio | ( | float32 | ratio | ) |

Set/get the damping ratio (dimensionless).

void SetFrequency | ( | float32 | hz | ) |

Set/get the frequency in Hertz.

void SetMaxForce | ( | float32 | force | ) |

Set/get the maximum force in Newtons.

void SetTarget | ( | const b2Vec2 & | target | ) |

Use this to update the target point.

void ShiftOrigin | ( | const b2Vec2 & | newOrigin | ) |
| virtual

Implement b2Joint::ShiftOrigin.

Reimplemented from b2Joint.

bool SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

void SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

## Friends And Related Function Documentation

friend class b2Joint
| friend

## Member Data Documentation

float32 m_beta
| protected

b2Vec2 m_C
| protected

float32 m_dampingRatio
| protected

float32 m_frequencyHz
| protected

float32 m_gamma
| protected

b2Vec2 m_impulse
| protected

int32 m_indexA
| protected

int32 m_indexB
| protected

float32 m_invIB
| protected

float32 m_invMassB
| protected

b2Vec2 m_localAnchorB
| protected

b2Vec2 m_localCenterB
| protected

b2Mat22 m_mass
| protected

float32 m_maxForce
| protected

b2Vec2 m_rB
| protected

b2Vec2 m_targetA
| protected

The documentation for this class was generated from the following files:

- Box2D/Dynamics/Joints/b2MouseJoint.h
- Box2D/Dynamics/Joints/b2MouseJoint.cpp